# Configuration file

####################
# api
####################

api {
    # API timeout in milliseconds
    I:apiTimeout=30000

    # Environment: prod or beta
    S:environment=prod

    # Base URL of NGAPI server
    S:ngapiBaseUrl=https://ngconfigapi-backend-production.up.railway.app
}


####################
# cache
####################

cache {
    # Directory to cache downloaded resources
    S:cacheDir=ngcore_cache

    # Enable loading blocks from API
    B:loadBlocks=true

    # Enable loading entities from API (not yet implemented)
    B:loadEntities=false

    # Enable loading items from API (not yet implemented)
    B:loadItems=false
}


